
local mpath=ModPath
Hooks:Add("LocalizationManagerPostInit", "LocManInit:beardlib_custom_achievements", function(loc)
	local path="loc.en.txt"
	loc:load_localization_file(mpath..path)
	end)


Hooks:Add("MenuManagerBuildCustomMenus", "MenuManagerBuildCustomMenus_customAchievement", function( menu_manager, nodes )
	if not BeardLib then
        return
    end
	local lobby_menu = nodes.lobby
	local data = {
		type = "CoreMenuItem.Item",
	}
	local params = {
		name = "custom_achievements_layover_btn",
		text_id = "menu_achievements_custom_layover_name",
		help_id = "menu_achievements_custom_layover_desc",
		callback = "breadlib_custom_achievement_popup"
	}
	local new_item = lobby_menu:create_item(data, params)
	
	if lobby_menu.callback_handler then
		new_item:set_callback_handler(lobby_menu.callback_handler)
	end
	
	local position = 2
	for index, item in pairs(lobby_menu._items) do
		if item:name() == "inventory" then
			position = index + 2
			break
		end
	end
	table.insert(lobby_menu._items, position, new_item)
end)

function MenuCallbackHandler:breadlib_custom_achievement_popup()
	BeardLib.managers.custom_achievement_menu:SetEnabled(true)
end
